Name:       capi-appfw-application
Summary:    An Application library in SLP C API
Version:    0.5.29
Release:    0
Group:      System/API
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1001:     capi-appfw-application.manifest
Source1002:     appcore-ui-app-ambient.manifest
BuildRequires:  cmake
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(bundle)
BuildRequires:  pkgconfig(appcore-common)
BuildRequires:  pkgconfig(appcore-efl)
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(alarm-service)
BuildRequires:  pkgconfig(appsvc)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(capi-base-common)
BuildRequires:  pkgconfig(capi-appfw-app-control)
BuildRequires:  pkgconfig(capi-appfw-app-common)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libtzplatform-config)
BuildRequires:  pkgconfig(vconf-internal-keys)
BuildRequires:  pkgconfig(eventsystem)
BuildRequires:  pkgconfig(pkgmgr-info)
BuildRequires:  pkgconfig(glib-2.0)

%if 0%{?gcov:1}
BuildRequires:  pkgconfig(gmock)
BuildRequires:  lcov
BuildRequires:  zip
%endif

%description
An Application library in SLP C API package.

%package devel
Summary:  An Application library in SLP C API (Development)
Group:    System/API
Requires: %{name} = %{version}

%description devel
An Application library in SLP C API (Development) package.

%if 0%{?gcov:1}
%package gcov
Summary:  An application library(gcov)
Group:    System/API

%description gcov
gcov objects of an application library
%endif

%prep
%setup -q
cp %{SOURCE1001} .
cp %{SOURCE1002} .

%build
%if 0%{?gcov:1}
export CFLAGS+=" -fprofile-arcs -ftest-coverage"
export CXXFLAGS+=" -fprofile-arcs -ftest-coverage"
export FFLAGS+=" -fprofile-arcs -ftest-coverage"
export LDFLAGS+=" -lgcov"
%endif

MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . -DFULLVER=%{version} -DMAJORVER=${MAJORVER} \
         -DBUILD_GCOV=%{?gcov:1}%{!?gcov:0}
%__make %{?jobs:-j%jobs}

%if 0%{?gcov:1}
mkdir -p gcov-obj
find . -name '*.gcno' -exec cp '{}' gcov-obj ';'
%endif

%check
(cd unittest && ctest -V --output-on-failure)
%if 0%{?gcov:1}
lcov -c --ignore-errors graph --no-external -q -d . -o appcore_ui_app_ambient.info
genhtml appcore_ui_app_ambient.info -o appcore_ui_app_ambient.out
zip -r appcore_ui_app_ambient.zip appcore_ui_app_ambient.out
install -m 0644 appcore_ui_app_ambient.zip %{buildroot}%{_datadir}/gcov/
%endif

%install
rm -rf %{buildroot}
%make_install

%if 0%{?gcov:1}
mkdir -p %{buildroot}%{_datadir}/gcov/obj/%{name}
install -m 0644 gcov-obj/* %{buildroot}%{_datadir}/gcov/obj/%{name}
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

################################################
# libappcore-ui-app-ambient
%package -n appcore-ui-app-ambient
Summary: APIs to set lifecycle ui application ambient
Version: 0.0.1
License: Apache-2.0
Group: Applications/Core Applications

%description -n appcore-ui-app-ambient
A set of APIs to set lifecycle ui application ambient

%package -n appcore-ui-app-ambient-devel
Summary: APIs to set lifecycle ui application ambient
Group: Development/Libraries

%description -n appcore-ui-app-ambient-devel
Header & package configuration of appcore-ui-app-ambient

%post -n appcore-ui-app-ambient -p /sbin/ldconfig
%postun -n appcore-ui-app-ambient -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%{_libdir}/libcapi-appfw-application.so.*
%license LICENSE

%files devel
%manifest %{name}.manifest
%{_includedir}/appfw/app.h
%{_includedir}/appfw/app.hpp
%{_includedir}/appfw/app_internal.h
%{_includedir}/appfw/app_extension.h
%{_libdir}/pkgconfig/capi-appfw-application.pc
%{_libdir}/libcapi-appfw-application.so

%files -n appcore-ui-app-ambient
%manifest appcore-ui-app-ambient.manifest
%license LICENSE
%{_libdir}/libappcore-ui-app-ambient.so.*
%{_bindir}/gtest-ui-app-ambient

%files -n appcore-ui-app-ambient-devel
%{_includedir}/appcore-ui-app-ambient/*.h
%{_libdir}/pkgconfig/appcore-ui-app-ambient.pc
%{_libdir}/libappcore-ui-app-ambient.so

%if 0%{?gcov:1}
%files gcov
%{_datadir}/gcov/*
%endif
